Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
3D Secure doğrulama sonrası checkout ödeme işlemini tamamlar
POST
https://api-test.fincraft.com.tr/api/v1/checkout/payment/3d/complete
{ "checkoutToken": "f225d237-41d8-4baf-a58d-7bb335d08d6b", "referenceId": "367f8c72-487a-4aba-a7b4-3220e74d9ee0" }
checkoutToken
referenceId
{ "cardDetails": { "cardHolderName": "asdas asdasd", "cardNumber": "374427****1042" }, "id": "db696aee-5135-48f4-a53c-0063110ca8e4", "createdDate": "2025-10-10 15:41:41", "amount": 100.0, "finalAmount": 120.0, "currency": "TRY", "installment": 2, "referenceId": "367f8c72-487a-4aba-a7b4-3220e74d9ee0", "paymentStatus": "SUCCESS", "transactionType": "AUTH", "authCode": "537852", "orderId": "f225d237-41d8-4baf-a58d-7bb335d08d6b" }
curl -X POST https://api-test.fincraft.com.tr/api/v1/checkout/payment/3d/complete \ -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "checkoutToken": "f225d237-41d8-4baf-a58d-7bb335d08d6b", "referenceId": "367f8c72-487a-4aba-a7b4-3220e74d9ee0" }'